import sys
from os.path import dirname
from distutils.spawn import find_executable


assert sys.platform == 'win32'


comp = {
    '2.6': '9.0',
    '2.7': '9.0',
    '3.3': '10.0',
    '3.4': '10.0',
    '3.5': '14.0',
    '3.6': '14.0',
}[sys.version[:3]]


_parts = [
    'C:', 'Program Files (x86)',
    'Microsoft Visual Studio %s' % comp,
    'VC', 'bin',
]
if tuple.__itemsize__ == 8:
    _parts.append('amd64')
msvc_dir = '\\'.join(_parts)
print("msvc_dir: %r" % msvc_dir)

cl_path = find_executable('cl.exe')
print("cl_path: %r" % cl_path)
assert dirname(cl_path).lower() == msvc_dir.lower()

link_path = find_executable('link.exe')
print("link_path: %r" % link_path)
assert dirname(link_path).lower() == msvc_dir.lower()
